CVE-2024-1547

NameCVE-2024-1547
DescriptionThrough a series of API calls and redirects, an attacker-controlled alert dialog could have been displayed on another website (with the victim website's URL shown). This vulnerability affects Firefox < 123, Firefox ESR < 115.8, and Thunderbird < 115.8.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3747-1, DLA-3748-1, DSA-5627-1, DSA-5630-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
firefox (PTS)sid126.0-1fixed
firefox-esr (PTS)jessie, jessie (lts)68.9.0esr-1~deb8u2vulnerable
stretch (security), stretch (lts), stretch91.11.0esr-1~deb9u1vulnerable
buster91.12.0esr-1~deb10u1vulnerable
buster (security)115.11.0esr-1~deb10u1fixed
bullseye115.7.0esr-1~deb11u1vulnerable
bullseye (security)115.11.0esr-1~deb11u1fixed
bookworm115.7.0esr-1~deb12u1vulnerable
bookworm (security)115.11.0esr-1~deb12u1fixed
sid, trixie115.11.0esr-1fixed
thunderbird (PTS)jessie, jessie (lts)1:68.9.0-1~deb8u2vulnerable
stretch (security), stretch (lts), stretch1:91.10.0-1~deb9u1vulnerable
buster1:91.12.0-1~deb10u1vulnerable
buster (security)1:115.11.0-1~deb10u1fixed
bullseye1:115.7.0-1~deb11u1vulnerable
bullseye (security)1:115.11.0-1~deb11u1fixed
bookworm1:115.7.0-1~deb12u1vulnerable
bookworm (security)1:115.11.0-1~deb12u1fixed
trixie1:115.10.1-1fixed
sid1:115.11.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
firefoxsource(unstable)123.0-1
firefox-esrsourcejessie(unfixed)end-of-life
firefox-esrsourcestretch(unfixed)end-of-life
firefox-esrsourcebuster115.8.0esr-1~deb10u1DLA-3747-1
firefox-esrsourcebullseye115.8.0esr-1~deb11u1DSA-5627-1
firefox-esrsourcebookworm115.8.0esr-1~deb12u1DSA-5627-1
firefox-esrsource(unstable)115.8.0esr-1
thunderbirdsourcejessie(unfixed)end-of-life
thunderbirdsourcestretch(unfixed)end-of-life
thunderbirdsourcebuster1:115.8.0-1~deb10u1DLA-3748-1
thunderbirdsourcebullseye1:115.8.0-1~deb11u1DSA-5630-1
thunderbirdsourcebookworm1:115.8.0-1~deb12u1DSA-5630-1
thunderbirdsource(unstable)1:115.8.0-1

Notes

https://www.mozilla.org/en-US/security/advisories/mfsa2024-05/#CVE-2024-1547
https://www.mozilla.org/en-US/security/advisories/mfsa2024-06/#CVE-2024-1547
https://www.mozilla.org/en-US/security/advisories/mfsa2024-07/#CVE-2024-1547

Search for package or bug name: Reporting problems